org.wso2.carbon.device.mgt.iot.raspberrypi.service.impl

## Class RaspberryPiServiceImpl

- java.lang.Object
- - org.wso2.carbon.device.mgt.iot.raspberrypi.service.impl.RaspberryPiServiceImpl

- All Implemented Interfaces:
    RaspberryPiService

      public class RaspberryPiServiceImpl
      extends Object
      implements RaspberryPiService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RaspberryPiServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `downloadSketch(String deviceName, String sketchType)` download the agent.
    `javax.ws.rs.core.Response` | `getRaspberryPiTemperatureStats(String deviceId, long from, long to)` Retreive Sensor data for the device type
    `javax.ws.rs.core.Response` | `switchBulb(String deviceId, String state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RaspberryPiServiceImpl

          public RaspberryPiServiceImpl()

  - ### Method Detail

    - #### switchBulb

          public javax.ws.rs.core.Response switchBulb(String deviceId,
                                             String state)

      Specified by:
        `switchBulb` in interface `RaspberryPiService`

    - #### getRaspberryPiTemperatureStats

          public javax.ws.rs.core.Response getRaspberryPiTemperatureStats(String deviceId,
                                                                 long from,
                                                                 long to)

      Description copied from interface: `RaspberryPiService`
      Retreive Sensor data for the device type
      Specified by:
        `getRaspberryPiTemperatureStats` in interface `RaspberryPiService`

    - #### downloadSketch

          public javax.ws.rs.core.Response downloadSketch(String deviceName,
                                                 String sketchType)

      Description copied from interface: `RaspberryPiService`
      download the agent.
      Specified by:
        `downloadSketch` in interface `RaspberryPiService`

Copyright © 2017 WSO2. All rights reserved.